Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.gl20
Class GL20Resource

    java.lang.Object
      de.grogra.imp3d.gl20.GL20Resource

Direct Known Subclasses:
  GL20ResourceLight, GL20ResourceMesh, GL20ResourceShaderFragment, GL20ResourceShaderPhong, GL20ResourceShaderRGBA, GL20ResourceShape

    public class GL20Resource

extends java.lang.Object

Field Summary
`static int` | `GL20RESOURCE_CLASS_LIGHT` a light class `GL20Resource`
`static int` | `GL20RESOURCE_CLASS_MASK` the class mask
`static int` | `GL20RESOURCE_CLASS_MESH` a mesh class `GL20Resource`
`static int` | `GL20RESOURCE_CLASS_SHADER` a shader class `GL20Resource`
`static int` | `GL20RESOURCE_CLASS_SHADERFRAGMENT` a shader fragment class `GL20Resource`
`static int` | `GL20RESOURCE_CLASS_SHAPE` a shape class `GL20Resource`
`static int` | `GL20RESOURCE_CLASS_TEXTURE` a texture class `GL20Resource`
`static int` | `GL20RESOURCE_LIGHT_DIRECTIONAL` a directional light
`static int` | `GL20RESOURCE_LIGHT_POINT` a point light
`static int` | `GL20RESOURCE_LIGHT_SPOT` a spot light
`static int` | `GL20RESOURCE_MESH_MULTI_USER` a multi user mesh
`static int` | `GL20RESOURCE_MESH_SINGLE_USER` a single user mesh
`static int` | `GL20RESOURCE_SHADER_PHONG` a shader fragment
`static int` | `GL20RESOURCE_SHADER_RGBA` a RGBA fragment
`static int` | `GL20RESOURCE_SHADERFRAGMENT_BLEND` a blend fragment
`static int` | `GL20RESOURCE_SHADERFRAGMENT_GRAYTONE` a graytone fragment
`static int` | `GL20RESOURCE_SHADERFRAGMENT_RGB` a RGB fragment
`static int` | `GL20RESOURCE_SHAPE_BOX` a box shape
`static int` | `GL20RESOURCE_SHAPE_FRUSTUM` a frustum shape
`static int` | `GL20RESOURCE_SHAPE_LINE` a line shape
`static int` | `GL20RESOURCE_SHAPE_LINE_STRIP` a line strip shape
`static int` | `GL20RESOURCE_SHAPE_PARALLELOGRAM` a parallelogram shape
`static int` | `GL20RESOURCE_SHAPE_PLANE` a plane shape
`static int` | `GL20RESOURCE_SHAPE_POLYGONS` a polygon shape
`static int` | `GL20RESOURCE_SHAPE_SPHERE` a sphere shape
`static int` | `GL20RESOURCE_TEXTURE` a texture of 1, 2 and 3 dimensions
`static int` | `GL20RESOURCE_TEXTURE_CUBEMAP` TODO implement the `GL20ResourceTextureCubeMap` class a cube map texture
`static int` | `GL20RESOURCE_TYPE_MASK` the type mask

Constructor Summary
`protected` | `GL20Resource(int resourceClassType)`

Method Summary
`void` | `destroy()` destroy the resource. every class have to implement this method and have to call `super.destroy()` at the end.
`int` | `getResourceClass()` return the class of the `GL20Resource`
`int` | `getResourceClassType()` return the class and the type of the `GL20Resource`
`int` | `getResourceType()` return the type of the `GL20Resource`
`boolean` | `isUpToDate()` check if this `GL20Resource` is up to date.
`void` | `update()` update the state of this `GL20Resource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL20RESOURCE_CLASS_LIGHT

    public static final int GL20RESOURCE_CLASS_LIGHT

  a light class `GL20Resource`

  See Also:
    `GL20ResourceLight`, Constant Field Values

### GL20RESOURCE_CLASS_MASK

    public static final int GL20RESOURCE_CLASS_MASK

  the class mask

  See Also:
    Constant Field Values

### GL20RESOURCE_CLASS_MESH

    public static final int GL20RESOURCE_CLASS_MESH

  a mesh class `GL20Resource`

  See Also:
    `GL20ResourceMesh`, Constant Field Values

### GL20RESOURCE_CLASS_SHADER

    public static final int GL20RESOURCE_CLASS_SHADER

  a shader class `GL20Resource`

  See Also:
    `GL20ResourceShader`, Constant Field Values

### GL20RESOURCE_CLASS_SHADERFRAGMENT

    public static final int GL20RESOURCE_CLASS_SHADERFRAGMENT

  a shader fragment class `GL20Resource`

  See Also:
    `GL20ResourceShaderFragment`, Constant Field Values

### GL20RESOURCE_CLASS_SHAPE

    public static final int GL20RESOURCE_CLASS_SHAPE

  a shape class `GL20Resource`

  See Also:
    `GL20ResourceShape`, Constant Field Values

### GL20RESOURCE_CLASS_TEXTURE

    public static final int GL20RESOURCE_CLASS_TEXTURE

  a texture class `GL20Resource`

  See Also:
    `GL20ResourceTexture`, Constant Field Values

### GL20RESOURCE_LIGHT_DIRECTIONAL

    public static final int GL20RESOURCE_LIGHT_DIRECTIONAL

  a directional light

  See Also:
    `GL20ResourceLightDirectional`, Constant Field Values

### GL20RESOURCE_LIGHT_POINT

    public static final int GL20RESOURCE_LIGHT_POINT

  a point light

  See Also:
    `GL20ResourceLightPoint`, Constant Field Values

### GL20RESOURCE_LIGHT_SPOT

    public static final int GL20RESOURCE_LIGHT_SPOT

  a spot light

  See Also:
    `GL20ResourceLightSpot`, Constant Field Values

### GL20RESOURCE_MESH_MULTI_USER

    public static final int GL20RESOURCE_MESH_MULTI_USER

  a multi user mesh

  See Also:
    `GL20ResourceMeshMultiUser`, Constant Field Values

### GL20RESOURCE_MESH_SINGLE_USER

    public static final int GL20RESOURCE_MESH_SINGLE_USER

  a single user mesh

  See Also:
    `GL20ResourceMeshSingleUser`, Constant Field Values

### GL20RESOURCE_SHADER_PHONG

    public static final int GL20RESOURCE_SHADER_PHONG

  a shader fragment

  See Also:
    `GL20ResourceShaderFragment`, Constant Field Values

### GL20RESOURCE_SHADER_RGBA

    public static final int GL20RESOURCE_SHADER_RGBA

  a RGBA fragment

  See Also:
    `GL20ResourceShaderFragmentRGBA, Constant Field Values`

### GL20RESOURCE_SHADERFRAGMENT_BLEND

    public static final int GL20RESOURCE_SHADERFRAGMENT_BLEND

  a blend fragment

  See Also:
    `GL20ResourceShaderFragmentBlend`, Constant Field Values

### GL20RESOURCE_SHADERFRAGMENT_GRAYTONE

    public static final int GL20RESOURCE_SHADERFRAGMENT_GRAYTONE

  a graytone fragment

  See Also:
    `GL20ResourceShaderFragmentGraytone`, Constant Field Values

### GL20RESOURCE_SHADERFRAGMENT_RGB

    public static final int GL20RESOURCE_SHADERFRAGMENT_RGB

  a RGB fragment

  See Also:
    `GL20ResourceShaderFragmentRGB`, Constant Field Values

### GL20RESOURCE_SHAPE_BOX

    public static final int GL20RESOURCE_SHAPE_BOX

  a box shape

  See Also:
    `GL20ResourceShapeBox`, Constant Field Values

### GL20RESOURCE_SHAPE_FRUSTUM

    public static final int GL20RESOURCE_SHAPE_FRUSTUM

  a frustum shape

  See Also:
    `GL20ResourceShapeFrustum`, Constant Field Values

### GL20RESOURCE_SHAPE_LINE

    public static final int GL20RESOURCE_SHAPE_LINE

  a line shape

  See Also:
    `GL20ResourceShapeLine`, Constant Field Values

### GL20RESOURCE_SHAPE_LINE_STRIP

    public static final int GL20RESOURCE_SHAPE_LINE_STRIP

  a line strip shape

  See Also:
    `GL20ResourceShapeLineStrip`, Constant Field Values

### GL20RESOURCE_SHAPE_PARALLELOGRAM

    public static final int GL20RESOURCE_SHAPE_PARALLELOGRAM

  a parallelogram shape

  See Also:
    `GL20ResourceShapeParallelogram`, Constant Field Values

### GL20RESOURCE_SHAPE_PLANE

    public static final int GL20RESOURCE_SHAPE_PLANE

  a plane shape

  See Also:
    `GL20ResourceShapePlane`, Constant Field Values

### GL20RESOURCE_SHAPE_POLYGONS

    public static final int GL20RESOURCE_SHAPE_POLYGONS

  a polygon shape

  See Also:
    `GL20ResourceShapePolygons`, Constant Field Values

### GL20RESOURCE_SHAPE_SPHERE

    public static final int GL20RESOURCE_SHAPE_SPHERE

  a sphere shape

  See Also:
    `GL20ResourceShapeSphere`, Constant Field Values

### GL20RESOURCE_TEXTURE

    public static final int GL20RESOURCE_TEXTURE

  a texture of 1, 2 and 3 dimensions

  See Also:
    `GL20ResourceTexture`, Constant Field Values

### GL20RESOURCE_TEXTURE_CUBEMAP

    public static final int GL20RESOURCE_TEXTURE_CUBEMAP

  TODO implement the `GL20ResourceTextureCubeMap` class a cube map texture

  See Also:
    `GL20ResourceTextureCubeMap`, Constant Field Values

### GL20RESOURCE_TYPE_MASK

    public static final int GL20RESOURCE_TYPE_MASK

  the type mask

  See Also:
    Constant Field Values

Constructor Detail

### GL20Resource

    protected GL20Resource(int resourceClassType)

Method Detail

### destroy

    public void destroy()

  destroy the resource. every class have to implement this method and have to call `super.destroy()` at the end.

### getResourceClass

    public int getResourceClass()

  return the class of the `GL20Resource`

  Returns:
    the class of the `GL20Resource`

### getResourceClassType

    public int getResourceClassType()

  return the class and the type of the `GL20Resource`

  Returns:
    the class and the type of the `GL20Resource`

### getResourceType

    public int getResourceType()

  return the type of the `GL20Resource`

  Returns:
    the type of the `GL20Resource`

### isUpToDate

    public boolean isUpToDate()

  check if this `GL20Resource` is up to date. the resource should check if all external resources are still valid, but don't update them in this method. every implementation must implement this method and must call `super.isUpToDate()`.

  Returns:
    `true` - this `GL20Resource` is up to date
  See Also:
    `update()`

### update

    public void update()

  update the state of this `GL20Resource`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD